%{?mingw_package_header}

%global pkgname leptonica

Name:          mingw-%{pkgname}
Version:       1.69
Release:       2%{?dist}
Summary:       MinGW Windows Leptonica library
License:       Leptonica
Group:         Development/Libraries
BuildArch:     noarch
URL:           http://code.google.com/p/leptonica/
Source0:       http://leptonica.googlecode.com/files/%{pkgname}-%{version}.tar.gz
# Provide pkg-config file (is already upstream)
Patch0:        leptonica_pkg-config.patch
# Fix a typo (is already upstream)
Patch1:        leptonica_typo.patch

# Until new upstream version is released with Patch0
BuildRequires: autoconf automake libtool

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw32-libjpeg-turbo
BuildRequires: mingw32-libtiff
BuildRequires: mingw32-libpng
BuildRequires: mingw32-zlib
BuildRequires: mingw32-giflib
BuildRequires: mingw32-libwebp

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc
BuildRequires: mingw64-libjpeg-turbo
BuildRequires: mingw64-libtiff
BuildRequires: mingw64-libpng
BuildRequires: mingw64-zlib
BuildRequires: mingw64-giflib
BuildRequires: mingw64-libwebp


%description
MinGW Windows Leptonica library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows Leptonica library

%description -n mingw32-%{pkgname}
MinGW Windows Leptonica library.


%package -n mingw32-%{pkgname}-static
Summary:       Static version of the MinGW Windows Leptonica library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-static
Static version of the MinGW Windows Leptonica library.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows Leptonica library

%description -n mingw64-%{pkgname}
MinGW Windows Leptonica library.


%package -n mingw64-%{pkgname}-static
Summary:       Static version of the MinGW Windows Leptonica library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-static
Static version of the MinGW Windows Leptonica library.


%{?mingw_debug_package}


%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1
%patch1 -p1


%build
autoreconf -i
%mingw_configure
%mingw_make %{?_smp_mflags}


%install
%mingw_make DESTDIR=%{buildroot} install

# Delete *.la files
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Delete *.exe files
rm -rf %{buildroot}%{mingw32_bindir}/*.exe
rm -rf %{buildroot}%{mingw64_bindir}/*.exe


%files -n mingw32-%{pkgname}
%doc leptonica-license.txt README.html version-notes.html
%{mingw32_bindir}/liblept-3.dll
%{mingw32_includedir}/leptonica/
%{mingw32_libdir}/liblept.dll.a
%{mingw32_libdir}/pkgconfig/lept.pc

%files -n mingw32-%{pkgname}-static
%{mingw32_libdir}/liblept.a

%files -n mingw64-%{pkgname}
%doc leptonica-license.txt README.html version-notes.html
%{mingw64_bindir}/liblept-3.dll
%{mingw64_includedir}/leptonica/
%{mingw64_libdir}/liblept.dll.a
%{mingw64_libdir}/pkgconfig/lept.pc

%files -n mingw64-%{pkgname}-static
%{mingw64_libdir}/liblept.a


%changelog
* Sun May 19 2013 Sandro Mani <manisandro@gmail.com> - 1.69-2
- Remove mingw_build_win32/64 macros
- Properly version mingw32-filesystem BuildRequires

* Wed May 08 2013 Sandro Mani <manisandro@gmail.com> - 1.69-1
- Initial Fedora package
